Announcement Announcement Module
Collapse
No announcement yet.
Invalid 2.0-m4 build in maven2 repository Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Invalid 2.0-m4 build in maven2 repository

    After switching to "m4" in pom.xml I got strange errors. I have downloaded the new version from sourceforge, and now there no any errors.

    Here is a stack trace:
    java.lang.NoSuchMethodError: org.springframework.beans.factory.xml.XmlBeanDefin itionReader.loadBeanDefinitions([Ljava/lang/StringI
    at org.springframework.context.support.AbstractXmlApp licationContext.loadBeanDefinitions(AbstractXmlApp licationContext.java:116)
    at org.springframework.context.support.AbstractXmlApp licationContext.loadBeanDefinitions(AbstractXmlApp licationContext.java:82)
    at org.springframework.context.support.AbstractRefres hableApplicationContext.refreshBeanFactory(Abstrac tRefreshableApplicationContext.java:89)
    at org.springframework.context.support.AbstractApplic ationContext.refresh(AbstractApplicationContext.ja va:279)
    at org.springframework.context.support.ClassPathXmlAp plicationContext.<init>(ClassPathXmlApplicationCon text.java:92)
    at org.springframework.context.support.ClassPathXmlAp plicationContext.<init>(ClassPathXmlApplicationCon text.java:77)
    at org.springframework.context.support.ClassPathXmlAp plicationContext.<init>(ClassPathXmlApplicationCon text.java:68)

  • #2
    you are probably using too little modules of spring (spring-context without spring-beans). Use either spring.jar or spring-beans.jar w/ spring-context and spring-core.

    Comment


    • #3
      Thanks for a reply,

      but, definitely this is not a case.
      I am using spring* for a long time. I have been working with EA version and now I am using RC1.

      Comment

      Working...
      X